libnfsidmap (0.25-6) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #925022)
  * Build depend on automake instead of automake1.11. (Closes: #865185)

  [ Andreas Hasenack ]
  * d/p/03-uid-map-krb5.patch: fix uid mapping when sec=krb5 is used
    (Closes: #581199, #924425)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 17:51:15 +0200

libnfsidmap (0.25-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop setting compressor explicitly. (Closes: #833241)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 21 Dec 2016 22:45:12 +0000

libnfsidmap (0.25-5) unstable; urgency=low

  * Standards Version is 3.9.4
  * Fix various warnings in idmapd.conf.5
    Add 02-idmapd.conf.5.patch

  [ Colin Watson ]
  * Replace incorrect Conflicts on nfs-common with Breaks/Replaces.
    Closes: #654714

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 10:36:03 +1000

libnfsidmap (0.25-4) unstable; urgency=low

  * Set pluginpath to /lib/$(DEB_HOST_MULTIARCH)/libnfsidmap
    Closes: #676719

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 09 Jun 2012 17:26:28 +1000

libnfsidmap (0.25-3) unstable; urgency=low

  * Add multiarch support
  * Use hardening options
  * DH compatibility level is 9
  * Fix wrong-section-according-to-package-name

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Jun 2012 16:03:17 +1000

libnfsidmap (0.25-2) unstable; urgency=low

  * Conflicts with nfs-common (= 1:1.1.2-6lenny2) 
    Closes: 654714
  * Build-depends on autoconf (>= 2.68)
    Closes: 660914
  * Fix "umich_ldap.so is an empty module"
    Add 01-661215-wrong-double-ldap-check.patch
    Patch by Steve Langasek
    Closes: 661215
    LP: #939232

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 27 Feb 2012 13:28:20 +1100

libnfsidmap (0.25-1) unstable; urgency=low

  * New upstream version 0.25
    Changes since libnfsidmap-0.24
      nss_getpwnam: ignore case when comparing domain names
      rpc.idmapd fails to load plugings
      Cleaned up some warnings
      Ignoring more git files
      Improve debugging during lib initialization
      Added new --with-pluginpath configuration flag
    Delete
      02-add--with-pluginpath-configuration-flag.patch
      03-improve-debugging-during-lib-initialization.patch
      04-clean-up-some-warnings.patch
      05-dont-fail-to-load-plugings.patch
      06-ignore-case-when-comparing-domain-names.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Dec 2011 09:32:53 +1100

libnfsidmap (0.24-4) unstable; urgency=low

  * Add --with-pluginpath configuration flag
    Add 02-add--with-pluginpath-configuration-flag.patch
  * Improve debugging during lib initialization
    Add 03-improve-debugging-during-lib-initialization.patch
  * Clean up some warnings
    Add 04-clean-up-some-warnings.patch
  * Don't fail to load plugings
    Add 05-dont-fail-to-load-plugings.patch
  * Ignore case when comparing domain names
    Add 06-ignore-case-when-comparing-domain-names.patch
  * Set configure flag --with-pluginpath to /lib/libnfsidmap
    Delete 01-649491-move-library.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 06 Dec 2011 07:35:19 +1100

libnfsidmap (0.24-3) unstable; urgency=low

  * Point PATH_PLUGINS to /lib/libnfsidmap
    Add 01-649491-move-library.patch
    Closes: 650904, 650948

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 05 Dec 2011 11:30:49 +1100

libnfsidmap (0.24-2) unstable; urgency=low

  * Move .so files from /usr/lib to /lib
    Closes: 649491
  * Ship manpage idmapd.conf.5
    Closes: 585083, 594933, 619996, 625826
  * Standars-Version is 3.9.2
  * Fix debian-rules-missing-recommended-target
  * Fix description-synopsis-starts-with-article

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 13:13:38 +1100

libnfsidmap (0.24-1) unstable; urgency=low

  * New upstream release 
  * Debian source format is 3.0 (quilt)
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 20:41:15 +1100

libnfsidmap (0.23-2) unstable; urgency=low

  * Ship /usr/lib/libnfsidmap/{nsswitch,umich_ldap,static}.so
    Closes: 561617, 561656

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 19 Dec 2009 09:26:19 +1100

libnfsidmap (0.23-1) unstable; urgency=low

  * New upstream release 
  * Drop 01-493217-dlopen-calls.diff (merged)
  * Don't build depend on quilt

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Dec 2009 12:21:37 +1100

libnfsidmap (0.22-2) unstable; urgency=low

  * Removing myself from uploaders.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Aug 2009 08:56:20 +0200

libnfsidmap (0.22-1) unstable; urgency=low

  * New upstream release 
  * Fix out-of-date-standards-version
  * Set DH compatibility level to 7
  * Fix dh-clean-k-is-deprecated
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Aug 2009 11:25:56 +1000

libnfsidmap (0.21-2) unstable; urgency=low

  * Build depends on quilt
  * Change the dlopen calls to do e.g. dlopen("libfoo.so.0", ...)
    Patch 01-493217-dlopen-calls.diff by Paul Collins; closes: 493217

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Aug 2008 10:42:56 +1000

libnfsidmap (0.21-1) unstable; urgency=low

  * New upstream release 
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 31 Jul 2008 10:35:44 +1000

libnfsidmap (0.20-1) unstable; urgency=low

  * Don't ship libnfsidmap.la. Closes: #473339
  * Updated debian/watch file
  * Fixed the following lintian issues:
    W: libnfsidmap source: out-of-date-standards-version, current is 3.7.3
    W: libnfsidmap2: description-contains-homepage
    W: libnfsidmap-dev: description-contains-homepage
    W: libnfsidmap-dev: dev-package-should-be-section-libdevel libnfsidmap-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Apr 2008 20:05:50 +1000

libnfsidmap (0.20-0) unstable; urgency=low

  * New upstream release.
  * Fix bug where large groups fail to resolve, resulting in "nogroup"
    ownership. Closes: 481009
  * Patch of #404684 was merged by upstream
  * Fixed the following lintian messages:
    W: libnfsidmap source: debian-rules-ignores-make-clean-error line 63
    W: libnfsidmap source: substvar-source-version-is-deprecated
       libnfsidmap-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Aug 2007 08:37:31 +1000

libnfsidmap (0.19-0) unstable; urgency=low

  * New upstream release.
  * Deal with large group (more than ~100 users). Closes: #404684.
    Patch by Michael Marineau <marineam@google.com>
  * debian/watch: updated.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 May 2007 21:06:19 +1000

libnfsidmap (0.18-0) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Nov 2006 17:25:52 +1100

libnfsidmap (0.17-3) unstable; urgency=low

  * libnfsidmap2 conflicts with libnfsidmap1.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Sep 2006 12:05:57 +1000

libnfsidmap (0.17-2) unstable; urgency=low

  * Fixed "needs shlibs bump", closes: #384688.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Sep 2006 11:08:27 +1000

libnfsidmap (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Aug 2006 21:59:02 +1000

libnfsidmap (0.16-3) unstable; urgency=low

  * Updated co-maintainer mail address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Jul 2006 14:33:28 +1000

libnfsidmap (0.16-2) unstable; urgency=low

  * Fixed "libnfsidmap-dev: Override says devel - optional,
    .deb says libdevel - optional"

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 23 Jun 2006 08:19:07 +1000

libnfsidmap (0.16-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.7.2.
  * Set debhelper compatibility to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 02 Jun 2006 15:41:20 +1000

libnfsidmap (0.13-1) unstable; urgency=low

  * New maintainer.
  * New upstream release, closes: #304599, #348516.
  * Set Standards-Version to 3.6.2.
  * Added debian watch file.
  * Added homepage to description.
  * Fixed readme-debian-is-debmake-template.
  * Fixed "libnfsidmap; This package does not have a Section header".
  * Fixed "dpkg-gencontrol: warning: unknown substitution variable
    ${misc:Depends}".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 18 Mar 2006 11:53:18 +1100

libnfsidmap (0.12-1) unstable; urgency=low

  * new "upstream"

 -- J. Bruce Fields <bfields@fieldses.org>  Mon, 19 Dec 2005 17:57:44 -0500

libnfsidmap (0.10-1) unstable; urgency=low

  * kwc: Fix supplemental groups code to expect memberUid to contain uid
    and not uidNumber
  * kwc: Separate id_to_name lookups between user and group
    using different search filters and bases
  * kwc: Use stack space rather than mallocs for filters and base

 -- J. Bruce Fields <bfields@fieldses.org>  Thu, 13 Jan 2005 16:30:17 -0500

libnfsidmap (0.8-1) unstable; urgency=low

  * kwc: separate user lookups from group lookups using different search
    filters and bases
  * kwc: Add initial support for supplementary group lookup

 -- J. Bruce Fields <bfields@fieldses.org>  Tue,  4 Jan 2005 12:20:43 -0500

libnfsidmap (0.7-1) unstable; urgency=low

  * From kwc: fix conf_path so conf file is read correctly.

 -- J. Bruce Fields <bfields@fieldses.org>  Thu, 16 Dec 2004 15:41:29 -0500

libnfsidmap (0.6-1) unstable; urgency=low

  * fix debian/copyright
  * add nfs4_gss_princ_to_grouplist
  * read config file on demand from other library functions instead of
    segfaulting if we forget to call nfs4_init_name_mapping() first.

 -- J. Bruce Fields <bfields@fieldses.org>  Wed, 17 Nov 2004 12:26:23 -0500

libnfsidmap (0.5-1) unstable; urgency=low

  * fix nfs4_gss_get_princ_ids

 -- J. Bruce Fields <bfields@fieldses.org>  Thu, 21 Oct 2004 20:44:37 -0400

libnfsidmap (0.4-1) unstable; urgency=low

  * bugfixes

 -- J. Bruce Fields <bfields@fieldses.org>  Thu, 21 Oct 2004 20:43:09 -0400

libnfsidmap (0.3-1) unstable; urgency=low

  * umich ldap schema support
  * read configuration file for default domain, etc.
  * add nfs4_get_default_domain()

 -- J. Bruce Fields <bfields@fieldses.org>  Sun, 17 Oct 2004 13:23:34 -0400

libnfsidmap (0.1-1) unstable; urgency=low

  * Initial Release.

 -- J. Bruce Fields <bfields@citi.umich.edu>  Fri,  6 Aug 2004 16:10:43 -0400
